Date: Tue, 13 Jan 1998 10:10:03 +0100 (CET)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Linux/m68k <linux-m68k@lists.linux-m68k.org>
Subject: Re: L68K: 2.1.77 is out
In-Reply-To: <Pine.LNX.3.96.980112132035.13924W-100000@mercator.cs.kuleuven.ac.be>
Sender: owner-linux-m68k@phil.uni-sb.de

On Mon, 12 Jan 1998, Geert Uytterhoeven wrote:
> BTW, I was able to recover the fbcon fix from my floppy. It's not a real patch,
> so please APPLY IT BY HAND!!! The real patch will follow tomorrow.

Here's the real one...

--- m68k-2.1.77/drivers/video/fbcon.c.orig	Fri Jan  9 01:22:14 1998
+++ m68k-2.1.77/drivers/video/fbcon.c	Sun Jan 11 22:52:41 1998
@@ -615,6 +615,9 @@
     if (!p->can_soft_blank && console_blanked)
 	return(0);
 
+    if (!height || !width)
+	return 0;
+
     if ((sy <= p->cursor_y) && (p->cursor_y < sy+height) &&
 	(sx <= p->cursor_x) && (p->cursor_x < sx+width))
 	CURSOR_UNDRAWN();
@@ -809,6 +812,9 @@
     if (!p->can_soft_blank && console_blanked)
 	return(0);
 
+    if (!count)
+	return 0;
+
     fbcon_cursor(conp, CM_ERASE);
 
     /*
@@ -948,6 +954,9 @@
 
     if (!p->can_soft_blank && console_blanked)
 	return(0);
+
+    if (!width || !height)
+	return 0;
 
     if (((sy <= p->cursor_y) && (p->cursor_y < sy+height) &&
 	 (sx <= p->cursor_x) && (p->cursor_x < sx+width)) ||
Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

